Skip to main content

Create a new corporate traveler

POST 

/v1/corporates/:id/travelers

Creates a new corporate traveler account for a specific corporate account

Request

Path Parameters

    id stringrequired

    Corporate ID

Body

required
    firstName stringrequired

    First name

    lastName string

    Last name

    phone stringrequired

    Phone

    dateOfBirth string

    Date of birth

    email string

    Email

    assistantEmail string

    Assistant email

    gender number

    Possible values: [0, 1, 2]

    Gender:

    • 0 - Male
    • 1 - Female
    • 2 - Other
    address string

    Address

    city string

    City

    state string

    State

    zipCode string

    Zip code

    country string

    Country

    jobTitle string

    Job title

    department string

    Department

    corpDivision string

    Corp division

    managerName string

    Manager name

    managerEmail string

    Manager email

    costCentre string

    Cost centre

    corpId string

    Corp ID

    corpPo string

    Corp PO

    isActive boolean

    Is active

Responses

Corporate traveler created successfully

Schema
    _id stringrequired

    The ID of the corporate traveler

    firstName stringrequired

    The first name of the corporate traveler

    lastName string

    The last name of the corporate traveler

    phone stringrequired

    The phone of the corporate traveler

    email stringrequired

    The email of the corporate traveler

    gender numberrequired

    The gender of the corporate traveler

    dateOfBirth stringrequired

    The date of birth of the corporate traveler

    address stringrequired

    The address of the corporate traveler

    city stringrequired

    The city of the corporate traveler

    state stringrequired

    The state of the corporate traveler

    zipCode stringrequired

    The zip code of the corporate traveler

    country stringrequired

    The country of the corporate traveler

    jobTitle stringrequired

    The job title of the corporate traveler

    department stringrequired

    The department of the corporate traveler

    corpDivision stringrequired

    The corp division of the corporate traveler

    managerName stringrequired

    The manager name of the corporate traveler

    managerEmail stringrequired

    The manager email of the corporate traveler

    assistantEmail stringrequired

    The assistant email of the corporate traveler

    corpId stringrequired

    The corp ID of the corporate traveler

    corpPo stringrequired

    The corp PO of the corporate traveler

    isActive booleanrequired

    Whether the corporate traveler is active

    createdDate date-timerequired

    The created date of the corporate traveler

    latestUpdate date-timerequired

    The latest update date of the corporate traveler

Loading...